<?php

namespace system\entity\marketplace;

use system\entity\entityclass;

class MarketplaceAdjustment extends EntityClass
{

    public const tableName = 'oc_marketplace_adjustment';
    /**
     * @var null
     */
    protected $marketplace_adjustment_id;

    /**
     * @var integer
     */
    protected $marketplace_price_id;

    /**
     * @var string
     */
    public $type_adjustment;

    /**
     * @var integer
     */
    public $adjustment;

    /**
     * @var string;
     */
    public $value;

    /**
     * @return int
     */
    public function getTableId()
    {
        return $this->getMarketplaceAdjustmentId();
    }

    /**
     * @return null
     */
    public function getMarketplaceAdjustmentId()
    {
        return $this->marketplace_adjustment_id;
    }

    /**
     * @param null $marketplace_adjustment_id
     */
    public function setMarketplaceAdjustmentId($marketplace_adjustment_id): void
    {
        $this->marketplace_adjustment_id = $marketplace_adjustment_id;
    }

    /**
     * @return int
     */
    public function getMarketplacePriceId(): int
    {
        return $this->marketplace_price_id;
    }

    /**
     * @param int $marketplace_price_id
     */
    public function setMarketplacePriceId(int $marketplace_price_id): void
    {
        $this->marketplace_price_id = $marketplace_price_id;
    }

    /**
     * @return string
     */
    public function getTypeAdjustment(): string
    {
        return $this->type_adjustment;
    }

    /**
     * @param string $type_adjustment
     */
    public function setTypeAdjustment(string $type_adjustment): void
    {
        $this->type_adjustment = $type_adjustment;
    }

    /**
     * @return int
     */
    public function getAdjustment(): int
    {
        return $this->adjustment;
    }

    /**
     * @param int $adjustment
     */
    public function setAdjustment(int $adjustment): void
    {
        $this->adjustment = $adjustment;
    }

    /**
     * @return string
     */
    public function getValue(): string
    {
        return $this->value;
    }

    /**
     * @param string $value
     */
    public function setValue(string $value): void
    {
        $this->value = $value;
    }

    public function getMarketplaceAdjustmentMd5Array()
    {
        return [
          $this->getValue(),
          $this->getAdjustment(),
          $this->getTypeAdjustment()
        ];
    }

}